vGhetto on Sourceforge!

    The vGhetto Script Repository is now in subversion and under a new Sourceforge project called vGhetto.

    This will allow myself and others to easily update and track scripts and  best of all, you can easily view and download the scripts you want  including svn support. I will still continue to create VMTN specific  docs for future scripts along with sample usage/etc. but will link the  download from vGhetto repository in Sourceforge. Eventually, I may include perldocs for each script depending on the complexity of the scripts.

    Along with adding my existing scripts onto Sourceforge, I'll be taking  part in a new OpenSource project with VMTN community members: Edward Haletky and Wil van Antwerpen, so keep an eye out for future updates.

     

    Methods of download

    1. Browse SVN repository at http://vghetto.svn.sourceforge.net/viewvc/vghetto/scripts/

    2. Use subversion client to pull down some or all of the scripts

    svn co https://vghetto.svn.sourceforge.net/svnroot/vghetto vghetto 
    

     

     

    3. Download .rpm or .deb package installers for the latest version of the repository (Download from here):

    RHEL/FEDORA/CENTOS:

    Requirements: vSphere SDK for Perl 4.0 is required, today the installers do not verify this package as a  dependency, that is WIP. Please ensure that you have vSphere SDK for  Perl before attempting the package installation

    Install:

    [primp@build-centos ]$ sudo rpm -ivh vGhetto-1.0-1.noarch.rpm
    Preparing...                ########################################### [100%]
       1:vGhetto                ########################################### [100%]
    
    

     

    After successfully installing the package, you'll need to update your environmental PATH variable to also include /usr/bin/vGhetto which is where the scripts will be installed. Depending on your shell configuration, you'll need to edit your profile.

    e.g.

    .bash_profile

    PATH=$PATH:$HOME/bin:/usr/bin/vGhetto
    
    export PATH
    

     

    Uninstall:

    [primp@build-centos ]$ sudo rpm -e vGhetto-1.0-1
    
    

     

    Query:

    [primp@build-centos ]$ rpm -qa | grep -i vghetto
    vGhetto-1.0-1
    

     

     


    UBUNTU/DEBIAN

    Requirements: vSphere SDK for Perl 4.0 is required, today the installers do not verify this package as a  dependency, that is WIP. If you run into issues setting up vSphere SDK  for Perl on Ubuntu, you may want to take a look at this document: Instructions on how to install vCLI 32bit/64bit on Ubuntu 9.04

    Install:

    primp@build-ubuntu:~$ sudo dpkg -i vGhetto-1.0.deb
    [sudo] password for primp:
    Selecting previously deselected package vghetto.
    (Reading database ... 25249 files and directories currently installed.)
    Unpacking vghetto (from vGhetto-1.0.deb) ...
    Setting up vghetto (1.0) ...
    

     

    After successfully installing the package, you'll need to update your environmental PATH variable to also include /usr/bin/vGhetto which is where the scripts will be installed. Depending on your shell configuration, you'll need to edit your profile.

    e.g.

    .bash_profile

    PATH=$PATH:$HOME/bin:/usr/bin/vGhetto
    
    export PATH
    

     


    Uninstall:

    primp@build-ubuntu:~$ sudo dpkg -r vghetto
    (Reading database ... 25341 files and directories currently installed.)
    Removing vghetto ...
    

     

    Query:

    primp@build-ubuntu:~$ dpkg --get-selections | grep vghetto
    vghetto                                         install
    



    4. Download windows installer for the latest version of the repository (Download from here):

    WINDOWS:

    Requirements: vSphere SDK for Perl 4.0 is required, today the installers do not verify this package as a  dependency, that is WIP. Please ensure that you have vSphere SDK for  Perl before attempting the package installation

    The readme.txt which is installed in your start menu contains the additional steps you still need to follow to get it working.